/* Input ================ */

:root {
  --input-height: 50px;
  --input-padding-horizontal: 20px;
  --input-border-radius: 10px;
  --input-font-size: var(--text-size-main);
  --input-color: var(--color-black-light);
  --input-border: 1px solid var(--color-white);
  --input-background-color: var(--color-white);

  --input-placeholder-color: color-mod(var(--color-black-light) lightness(20%));

  /* input white */
  --input-white-border-color: var(--color-black-light);
}

.input {
  width: 100%;
  height: var(--input-height);
  padding-right: var(--input-padding-horizontal);
  padding-left: var(--input-padding-horizontal);
  border: var(--input-border);
  border-radius: var(--input-border-radius);
  color: var(--input-color);
  font-size: var(--input-font-size);
  background-color: var(--input-background-color);
  transition: var(--transition-time) var(--transition-type);

  &::placeholder {
    color: var(--input-placeholder-color);
  }

  &:focus {
    outline: none;

    &::placeholder {
      color: transparent;
    }
  }

  &.error {
    border-color: var(--color-error);
  }
}

.input--white {
  border-color: var(--input-white-border-color);
}

span.error {
  position: absolute;
  bottom: 100%;
  left: 0;
  display: block;
  width: 100%;
  padding-left: 15px;
  color: var(--color-error);
  font-size: var(--text-size-main-small);
  text-align: right;
}

.js-mask-phone {

  &:focus {

    &::placeholder {
      color: var(--color-black-light);
    }
  }
}
/* ================ end input styles */
